# Banking — Transferências (UY3)

> 24 endpoints. Placeholders: `{{baseUrl}}` e `{{token}}`.

## Autenticação

Envie o token em toda requisição no header `Authorization: Bearer {{token}}` (JWT do AWS Cognito). Integrações servidor-a-servidor podem usar `X-Api-Key`. Todo tráfego é HTTPS; a credencial nunca vai na URL nem em query string.

## Transferências

Transferências entre contas (TED e pagamentos).

### POST /v1/BankAccount/{id}/{paymentId}/PaymentReceipt

**Gerar comprovante pdf de pagamento** — Cria um novo registro de Bank Account.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |
| `paymentId` | path | `string` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X POST "{{baseUrl}}/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/3fa85f64-5717-4562-b3fc-2c963f66afa6/PaymentReceipt" \
  -H "Authorization: Bearer {{token}}"
```

---

### POST /v1/BankAccount/{id}/{transferId}/TransferReceipt

**Gerar comprovante pdf de transferência** — Cria um novo registro de Bank Account.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |
| `transferId` | path | `string` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X POST "{{baseUrl}}/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/3fa85f64-5717-4562-b3fc-2c963f66afa6/TransferReceipt" \
  -H "Authorization: Bearer {{token}}"
```

---

### GET /v1/BankAccount/{id}/Pay

**Obter lista de pagamentos** — Lista e filtra registros de Bank Account.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |
| `page` | query | `integer` | opcional | — | `10` |
| `size` | query | `integer` | opcional | — | `10` |
| `searchString` | query | `string` | opcional | — | `valor` |
| `f_nsu` | query | `string` | opcional | — | `valor` |
| `f_barCode` | query | `string` | opcional | — | `valor` |
| `f_amount` | query | `integer (int64)` | opcional | — | `10` |
| `f_paymentDate` | query | `string (date-time)` | opcional | — | `valor` |
| `f_paymentPurpose` | query | `objeto` | opcional | — | `valor` |
| `f_status` | query | `objeto` | opcional | — | `valor` |
| `isDeleted` | query | `boolean` | opcional | — | `true` |
| `orderBy` | query | `string` | opcional | — | `valor` |

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `data` | `array de objeto` | opcional | — | objeto — ver detalhe abaixo | `[ … ]` |
| `page` | `integer` | opcional | — | — | `0` |
| `totalPages` | `integer` | opcional | — | — | `0` |
| `totalItems` | `integer` | opcional | — | — | `0` |

Detalhe de `data`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `id` | `string` | opcional | — | — | `"texto"` |
| `createdAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `createdBy` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `tenant` | `string` | opcional | — | — | `"texto"` |
| `tenantDisplay` | `string` | opcional | — | — | `"texto"` |
| `updatedAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `updatedBy` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `ownerUser` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `ownerGroup` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `barCode` | `string` | opcional | — | — | `"texto"` |
| `nsu` | `string` | opcional | — | — | `"texto"` |
| `amount` | `integer (int64)` | opcional | — | — | `0` |
| `date` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `dueDate` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `paymentPurpose` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `"PagamentoDeImpostosTributosETaxas"` |
| `paymentPurposeDisplay` | `string` | opcional | — | — | `"texto"` |
| `status` | `string` | opcional | — | `Approved`, `Pending`, `Rejected`, `Timeout`, `Canceled`, `Error`, `Processing`, `Finished`, `Scheduled`, `Reversed`, `ComplianceApproval`, `CancellationRequested` | `"Approved"` |
| `paymentTaxesType` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `"TributosCodigoBarra"` |
| `statusDisplay` | `string` | opcional | — | — | `"texto"` |
| `errorMessage` | `string` | opcional | — | — | `"texto"` |
| `authorizedAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `bankAccountId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `requester` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `approvals` | `array de objeto` | opcional | — | objeto — ver detalhe abaixo | `[ … ]` |

Detalhe de `approvals`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `level` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `"Viewer"` |
| `action` | `string` | opcional | — | `Approve`, `Reject`, `Cancel` | `"Approve"` |
| `actionDisplay` | `string` | opcional | — | — | `"texto"` |
| `user` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |

Exemplo:

```json
{
  "data": [
    {
      "id": "texto",
      "createdAt": "2025-08-11T13:45:00Z",
      "createdBy": {
        "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "registrationNumber": "12345678909",
        "userIdDisplay": "texto",
        "tenantDisplay": "texto",
        "tenantName": "Fulano de Tal"
      },
      "tenant": "texto",
      "tenantDisplay": "texto",
      "updatedAt": "2025-08-11T13:45:00Z",
      "updatedBy": {
        "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "registrationNumber": "12345678909",
        "userIdDisplay": "texto",
        "tenantDisplay": "texto",
        "tenantName": "Fulano de Tal"
      },
      "ownerUser": {
        "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "registrationNumber": "12345678909",
        "userIdDisplay": "texto",
        "tenantDisplay": "texto",
        "tenantName": "Fulano de Tal"
      },
      "ownerGroup": {
        "groupDisplay": "texto",
        "tenantDisplay": "texto"
      },
      "barCode": "texto",
      "nsu": "texto",
      "amount": 0,
      "date": "2025-08-11T13:45:00Z",
      "dueDate": "2025-08-11T13:45:00Z",
      "paymentPurpose": "PagamentoDeImpostosTributosETaxas",
      "paymentPurposeDisplay": "texto",
      "status": "Approved",
      "paymentTaxesType": "TributosCodigoBarra",
      "statusDisplay": "texto",
      "errorMessage": "texto",
      "authorizedAt": "2025-08-11T13:45:00Z",
      "bankAccountId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "requester": {
        "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "registrationNumber": "12345678909",
        "userIdDisplay": "texto",
        "tenantDisplay": "texto",
        "tenantName": "Fulano de Tal"
      },
      "approvals": [
        {}
      ]
    }
  ],
  "page": 0,
  "totalPages": 0,
  "totalItems": 0
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X GET "{{baseUrl}}/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/Pay" \
  -H "Authorization: Bearer {{token}}"
```

---

### POST /v1/BankAccount/{id}/Pay

**Solicitar o pagamento de um boleto de cobrança através do código de barras e linha…** — Cria um novo registro de Bank Account.

Solicitar o pagamento de um boleto de cobrança através do código de barras e linha digitável

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string` | obrigatório | Id da conta | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Corpo da requisição** (`application/json`)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `barCodeOrDigitableLine` | `string` | obrigatório | — | — | `"texto"` |
| `identificationOperationStatement` | `string` | opcional | — | — | `"texto"` |
| `paymentValue` | `integer (int64)` | obrigatório | — | — | `0` |
| `totalValue` | `integer (int64)` | obrigatório | — | — | `0` |
| `paymentDate` | `string (date-time)` | obrigatório | — | — | `"2025-08-11T13:45:00Z"` |
| `sessionId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `code` | `string` | opcional | — | — | `"texto"` |

Exemplo:

```json
{
  "barCodeOrDigitableLine": "texto",
  "identificationOperationStatement": "texto",
  "paymentValue": 0,
  "totalValue": 0,
  "paymentDate": "2025-08-11T13:45:00Z",
  "sessionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "code": "texto"
}
```

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `id` | `string` | opcional | — | — | `"texto"` |
| `createdAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `createdBy` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `tenant` | `string` | opcional | — | — | `"texto"` |
| `tenantDisplay` | `string` | opcional | — | — | `"texto"` |
| `updatedAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `updatedBy` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `ownerUser` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `ownerGroup` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `bankAccountId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `barCode` | `string` | opcional | — | — | `"texto"` |
| `nsu` | `string` | opcional | — | — | `"texto"` |
| `amount` | `integer (int64)` | opcional | — | — | `0` |
| `date` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `paymentPurpose` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `"PagamentoDeImpostosTributosETaxas"` |
| `paymentPurposeDisplay` | `string` | opcional | — | — | `"texto"` |
| `status` | `string` | opcional | — | `Approved`, `Pending`, `Rejected`, `Timeout`, `Canceled`, `Error`, `Processing`, `Finished`, `Scheduled`, `Reversed`, `ComplianceApproval`, `CancellationRequested` | `"Approved"` |
| `statusDisplay` | `string` | opcional | — | — | `"texto"` |
| `errorMessage` | `string` | opcional | — | — | `"texto"` |
| `authorizedAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `requester` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `approvals` | `array de objeto` | opcional | — | objeto — ver detalhe abaixo | `[ … ]` |

Detalhe de `requester`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `userId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `registrationNumber` | `string` | opcional | — | — | `"12345678909"` |
| `userIdDisplay` | `string` | opcional | — | — | `"texto"` |
| `tenantDisplay` | `string` | opcional | — | — | `"texto"` |
| `tenantName` | `string` | opcional | — | — | `"Fulano de Tal"` |

Detalhe de `approvals`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `level` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `"Viewer"` |
| `action` | `string` | opcional | — | `Approve`, `Reject`, `Cancel` | `"Approve"` |
| `actionDisplay` | `string` | opcional | — | — | `"texto"` |
| `user` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |

Exemplo:

```json
{
  "id": "texto",
  "createdAt": "2025-08-11T13:45:00Z",
  "createdBy": {
    "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "registrationNumber": "12345678909",
    "userIdDisplay": "texto",
    "tenantDisplay": "texto",
    "tenantName": "Fulano de Tal"
  },
  "tenant": "texto",
  "tenantDisplay": "texto",
  "updatedAt": "2025-08-11T13:45:00Z",
  "updatedBy": {
    "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "registrationNumber": "12345678909",
    "userIdDisplay": "texto",
    "tenantDisplay": "texto",
    "tenantName": "Fulano de Tal"
  },
  "ownerUser": {
    "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "registrationNumber": "12345678909",
    "userIdDisplay": "texto",
    "tenantDisplay": "texto",
    "tenantName": "Fulano de Tal"
  },
  "ownerGroup": {
    "groupDisplay": "texto",
    "tenantDisplay": "texto"
  },
  "bankAccountId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "barCode": "texto",
  "nsu": "texto",
  "amount": 0,
  "date": "2025-08-11T13:45:00Z",
  "paymentPurpose": "PagamentoDeImpostosTributosETaxas",
  "paymentPurposeDisplay": "texto",
  "status": "Approved",
  "statusDisplay": "texto",
  "errorMessage": "texto",
  "authorizedAt": "2025-08-11T13:45:00Z",
  "requester": {
    "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "registrationNumber": "12345678909",
    "userIdDisplay": "texto",
    "tenantDisplay": "texto",
    "tenantName": "Fulano de Tal"
  },
  "approvals": [
    {
      "level": "Viewer",
      "action": "Approve",
      "actionDisplay": "texto",
      "user": {
        "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "registrationNumber": "12345678909",
        "userIdDisplay": "texto",
        "tenantDisplay": "texto",
        "tenantName": "Fulano de Tal"
      }
    }
  ]
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X POST "{{baseUrl}}/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/Pay" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '{
  "barCodeOrDigitableLine": "texto",
  "identificationOperationStatement": "texto",
  "paymentValue": 0,
  "totalValue": 0,
  "paymentDate": "2025-08-11T13:45:00Z",
  "sessionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "code": "texto"
}'
```

---

### PUT /v1/BankAccount/{id}/Pay/{paymentId}/approve

**Aprova/reprova uma solicitação de pagamento** — Atualiza por completo um registro de Bank Account existente.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string` | obrigatório | Id da conta | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |
| `paymentId` | path | `string` | obrigatório | Id do pagamento | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Corpo da requisição** (`application/json`)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `action` | `string` | opcional | — | `Approve`, `Reject`, `Cancel` | `"Approve"` |
| `sessionId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `code` | `string` | opcional | — | — | `"texto"` |

Exemplo:

```json
{
  "action": "Approve",
  "sessionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "code": "texto"
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `204` | Sucesso sem corpo de resposta. |

**cURL**

```bash
curl -X PUT "{{baseUrl}}/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/Pay/3fa85f64-5717-4562-b3fc-2c963f66afa6/approve" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "Approve",
  "sessionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "code": "texto"
}'
```

---

### PUT /v1/BankAccount/Pay/BatchApproval

**Aprova/reprova solicitações de pagamento por lote** — Atualiza por completo um registro de Bank Account existente.

**Corpo da requisição** (`application/json`)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `payBankAccounts` | `array de objeto` | opcional | — | objeto — ver detalhe abaixo | `[ … ]` |
| `action` | `string` | opcional | — | `Approve`, `Reject`, `Cancel` | `"Approve"` |
| `sessionId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `code` | `string` | opcional | — | — | `"texto"` |

Detalhe de `payBankAccounts`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `bankAccountId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `paymentId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |

Exemplo:

```json
{
  "payBankAccounts": [
    {
      "bankAccountId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "paymentId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
    }
  ],
  "action": "Approve",
  "sessionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "code": "texto"
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X PUT "{{baseUrl}}/v1/BankAccount/Pay/BatchApproval" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '{
  "payBankAccounts": [
    {
      "bankAccountId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "paymentId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
    }
  ],
  "action": "Approve",
  "sessionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "code": "texto"
}'
```

---

### PUT /v1/BankAccount/{id}/Pay/{paymentId}/cancel

**Cancelar um solicitação de pagamento** — Atualiza por completo um registro de Bank Account existente.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string` | obrigatório | Id da conta | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |
| `paymentId` | path | `string` | obrigatório | Id do pagamento | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |
| `sessionId` | query | `string` | opcional | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |
| `code` | query | `string` | opcional | — | `valor` |

**Códigos de retorno**

| Código | Significado |
|---|---|
| `204` | Sucesso sem corpo de resposta. |

**cURL**

```bash
curl -X PUT "{{baseUrl}}/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/Pay/3fa85f64-5717-4562-b3fc-2c963f66afa6/cancel" \
  -H "Authorization: Bearer {{token}}"
```

---

### GET /v1/BankAccount/{id}/Pay/BankslipConsumptionBillOrTaxes

**Obter os dados de um boleto de contas de consumo e tributo informando código de…** — Lista e filtra registros de Bank Account.

Obter os dados de um boleto de contas de consumo e tributo informando código de barras, ou linha digitável.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string` | obrigatório | Id da conta | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |
| `BarCode` | query | `string` | opcional | — | `valor` |
| `DigitableLine` | query | `string` | opcional | — | `valor` |

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `barCode` | `string` | opcional | — | — | `"texto"` |
| `digitableLine` | `string` | opcional | — | — | `"texto"` |
| `situationCode` | `integer` | opcional | — | — | `0` |
| `reason` | `string` | opcional | — | — | `"texto"` |
| `authorizationTypeReceiptDivergentValue` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `"QualquerValor"` |
| `discount` | `integer (int64)` | opcional | — | — | `0` |
| `discountValue` | `integer (int64)` | opcional | — | — | `0` |
| `rebateValue` | `integer (int64)` | opcional | — | — | `0` |
| `fee` | `integer (int64)` | opcional | — | — | `0` |
| `trafficTicket` | `integer (int64)` | opcional | — | — | `0` |
| `maximumValue` | `integer (int64)` | opcional | — | — | `0` |
| `minimumValue` | `integer (int64)` | opcional | — | — | `0` |
| `totalValue` | `integer (int64)` | opcional | — | — | `0` |
| `nominalValue` | `integer (int64)` | opcional | — | — | `0` |
| `partialPaymentIndicator` | `string` | opcional | — | — | `"texto"` |
| `value` | `integer (int64)` | opcional | — | — | `0` |
| `dueDate` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `paymentDeadline` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `dateTimeBillingConsult` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `statusBilling` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `"PaidBilling"` |
| `beneficiary` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `payer` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `guarantor` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `issuingBank` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `notifications` | `array de objeto` | opcional | — | objeto — ver detalhe abaixo | `[ … ]` |

Detalhe de `beneficiary`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `name` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `document` | `string` | opcional | — | — | `"12345678909"` |

Detalhe de `payer`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `name` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `document` | `string` | opcional | — | — | `"12345678909"` |

Detalhe de `guarantor`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `name` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `document` | `string` | opcional | — | — | `"12345678909"` |

Detalhe de `issuingBank`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `code` | `string` | opcional | — | — | `"texto"` |
| `name` | `string` | opcional | — | — | `"Fulano de Tal"` |

Detalhe de `notifications`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `property` | `string` | opcional | — | — | `"texto"` |
| `message` | `string` | opcional | — | — | `"texto"` |

Exemplo:

```json
{
  "barCode": "texto",
  "digitableLine": "texto",
  "situationCode": 0,
  "reason": "texto",
  "authorizationTypeReceiptDivergentValue": "QualquerValor",
  "discount": 0,
  "discountValue": 0,
  "rebateValue": 0,
  "fee": 0,
  "trafficTicket": 0,
  "maximumValue": 0,
  "minimumValue": 0,
  "totalValue": 0,
  "nominalValue": 0,
  "partialPaymentIndicator": "texto",
  "value": 0,
  "dueDate": "2025-08-11T13:45:00Z",
  "paymentDeadline": "2025-08-11T13:45:00Z",
  "dateTimeBillingConsult": "2025-08-11T13:45:00Z",
  "statusBilling": "PaidBilling",
  "beneficiary": {
    "name": "Fulano de Tal",
    "document": "12345678909"
  },
  "payer": {
    "name": "Fulano de Tal",
    "document": "12345678909"
  },
  "guarantor": {
    "name": "Fulano de Tal",
    "document": "12345678909"
  },
  "issuingBank": {
    "code": "texto",
    "name": "Fulano de Tal"
  },
  "notifications": [
    {
      "property": "texto",
      "message": "texto"
    }
  ]
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X GET "{{baseUrl}}/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/Pay/BankslipConsumptionBillOrTaxes" \
  -H "Authorization: Bearer {{token}}"
```

---

### GET /v1/BankAccount/{id}/Pay/Bankslip

**Obter os dados de um boleto de cobrança informando código de barras** — Lista e filtra registros de Bank Account.

Obter os dados de um boleto de cobrança informando código de barras, ou linha digitável.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string` | obrigatório | Id da conta | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |
| `BarCode` | query | `string` | opcional | — | `valor` |
| `DigitableLine` | query | `string` | opcional | — | `valor` |

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `barCode` | `string` | opcional | — | — | `"texto"` |
| `digitableLine` | `string` | opcional | — | — | `"texto"` |
| `situationCode` | `integer` | opcional | — | — | `0` |
| `reason` | `string` | opcional | — | — | `"texto"` |
| `authorizationTypeReceiptDivergentValue` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `"QualquerValor"` |
| `discount` | `integer (int64)` | opcional | — | — | `0` |
| `discountValue` | `integer (int64)` | opcional | — | — | `0` |
| `rebateValue` | `integer (int64)` | opcional | — | — | `0` |
| `fee` | `integer (int64)` | opcional | — | — | `0` |
| `trafficTicket` | `integer (int64)` | opcional | — | — | `0` |
| `maximumValue` | `integer (int64)` | opcional | — | — | `0` |
| `minimumValue` | `integer (int64)` | opcional | — | — | `0` |
| `totalValue` | `integer (int64)` | opcional | — | — | `0` |
| `nominalValue` | `integer (int64)` | opcional | — | — | `0` |
| `partialPaymentIndicator` | `string` | opcional | — | — | `"texto"` |
| `value` | `integer (int64)` | opcional | — | — | `0` |
| `dueDate` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `paymentDeadline` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `dateTimeBillingConsult` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `statusBilling` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `"PaidBilling"` |
| `beneficiary` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `payer` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `guarantor` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `issuingBank` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `notifications` | `array de objeto` | opcional | — | objeto — ver detalhe abaixo | `[ … ]` |

Detalhe de `beneficiary`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `name` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `document` | `string` | opcional | — | — | `"12345678909"` |

Detalhe de `payer`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `name` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `document` | `string` | opcional | — | — | `"12345678909"` |

Detalhe de `guarantor`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `name` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `document` | `string` | opcional | — | — | `"12345678909"` |

Detalhe de `issuingBank`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `code` | `string` | opcional | — | — | `"texto"` |
| `name` | `string` | opcional | — | — | `"Fulano de Tal"` |

Detalhe de `notifications`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `property` | `string` | opcional | — | — | `"texto"` |
| `message` | `string` | opcional | — | — | `"texto"` |

Exemplo:

```json
{
  "barCode": "texto",
  "digitableLine": "texto",
  "situationCode": 0,
  "reason": "texto",
  "authorizationTypeReceiptDivergentValue": "QualquerValor",
  "discount": 0,
  "discountValue": 0,
  "rebateValue": 0,
  "fee": 0,
  "trafficTicket": 0,
  "maximumValue": 0,
  "minimumValue": 0,
  "totalValue": 0,
  "nominalValue": 0,
  "partialPaymentIndicator": "texto",
  "value": 0,
  "dueDate": "2025-08-11T13:45:00Z",
  "paymentDeadline": "2025-08-11T13:45:00Z",
  "dateTimeBillingConsult": "2025-08-11T13:45:00Z",
  "statusBilling": "PaidBilling",
  "beneficiary": {
    "name": "Fulano de Tal",
    "document": "12345678909"
  },
  "payer": {
    "name": "Fulano de Tal",
    "document": "12345678909"
  },
  "guarantor": {
    "name": "Fulano de Tal",
    "document": "12345678909"
  },
  "issuingBank": {
    "code": "texto",
    "name": "Fulano de Tal"
  },
  "notifications": [
    {
      "property": "texto",
      "message": "texto"
    }
  ]
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X GET "{{baseUrl}}/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/Pay/Bankslip" \
  -H "Authorization: Bearer {{token}}"
```

---

### GET /v1/BankAccount/Pay/Bankslip

**Obtém os dados de um boleto de cobrança informando código de barras** — Lista e filtra registros de Bank Account.

Obtém os dados de um boleto de cobrança informando código de barras, ou linha digitável.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `barCode` | query | `string` | opcional | — | `valor` |

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `barCode` | `string` | opcional | — | — | `"texto"` |
| `digitableLine` | `string` | opcional | — | — | `"texto"` |
| `situationCode` | `integer` | opcional | — | — | `0` |
| `reason` | `string` | opcional | — | — | `"texto"` |
| `authorizationTypeReceiptDivergentValue` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `"QualquerValor"` |
| `discount` | `integer (int64)` | opcional | — | — | `0` |
| `discountValue` | `integer (int64)` | opcional | — | — | `0` |
| `rebateValue` | `integer (int64)` | opcional | — | — | `0` |
| `fee` | `integer (int64)` | opcional | — | — | `0` |
| `trafficTicket` | `integer (int64)` | opcional | — | — | `0` |
| `maximumValue` | `integer (int64)` | opcional | — | — | `0` |
| `minimumValue` | `integer (int64)` | opcional | — | — | `0` |
| `totalValue` | `integer (int64)` | opcional | — | — | `0` |
| `nominalValue` | `integer (int64)` | opcional | — | — | `0` |
| `partialPaymentIndicator` | `string` | opcional | — | — | `"texto"` |
| `value` | `integer (int64)` | opcional | — | — | `0` |
| `dueDate` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `paymentDeadline` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `dateTimeBillingConsult` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `statusBilling` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `"PaidBilling"` |
| `beneficiary` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `payer` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `guarantor` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `issuingBank` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `notifications` | `array de objeto` | opcional | — | objeto — ver detalhe abaixo | `[ … ]` |

Detalhe de `beneficiary`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `name` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `document` | `string` | opcional | — | — | `"12345678909"` |

Detalhe de `payer`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `name` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `document` | `string` | opcional | — | — | `"12345678909"` |

Detalhe de `guarantor`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `name` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `document` | `string` | opcional | — | — | `"12345678909"` |

Detalhe de `issuingBank`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `code` | `string` | opcional | — | — | `"texto"` |
| `name` | `string` | opcional | — | — | `"Fulano de Tal"` |

Detalhe de `notifications`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `property` | `string` | opcional | — | — | `"texto"` |
| `message` | `string` | opcional | — | — | `"texto"` |

Exemplo:

```json
{
  "barCode": "texto",
  "digitableLine": "texto",
  "situationCode": 0,
  "reason": "texto",
  "authorizationTypeReceiptDivergentValue": "QualquerValor",
  "discount": 0,
  "discountValue": 0,
  "rebateValue": 0,
  "fee": 0,
  "trafficTicket": 0,
  "maximumValue": 0,
  "minimumValue": 0,
  "totalValue": 0,
  "nominalValue": 0,
  "partialPaymentIndicator": "texto",
  "value": 0,
  "dueDate": "2025-08-11T13:45:00Z",
  "paymentDeadline": "2025-08-11T13:45:00Z",
  "dateTimeBillingConsult": "2025-08-11T13:45:00Z",
  "statusBilling": "PaidBilling",
  "beneficiary": {
    "name": "Fulano de Tal",
    "document": "12345678909"
  },
  "payer": {
    "name": "Fulano de Tal",
    "document": "12345678909"
  },
  "guarantor": {
    "name": "Fulano de Tal",
    "document": "12345678909"
  },
  "issuingBank": {
    "code": "texto",
    "name": "Fulano de Tal"
  },
  "notifications": [
    {
      "property": "texto",
      "message": "texto"
    }
  ]
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X GET "{{baseUrl}}/v1/BankAccount/Pay/Bankslip" \
  -H "Authorization: Bearer {{token}}"
```

---

### GET /v1/BankAccount/{id}/Pay/BankslipFGTS

**Obtém os dados de um boleto FGTS informando código de barras, ou linha digitável** — Lista e filtra registros de Bank Account.

Obtém os dados de um boleto FGTS informando código de barras, ou linha digitável.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string` | obrigatório | Id da conta | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |
| `BarCode` | query | `string` | opcional | — | `valor` |
| `DigitableLine` | query | `string` | opcional | — | `valor` |

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `barCode` | `string` | opcional | — | — | `"texto"` |
| `digitableLine` | `string` | opcional | — | — | `"texto"` |
| `situationCode` | `integer` | opcional | — | — | `0` |
| `reason` | `string` | opcional | — | — | `"texto"` |
| `authorizationTypeReceiptDivergentValue` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `"QualquerValor"` |
| `discount` | `integer (int64)` | opcional | — | — | `0` |
| `discountValue` | `integer (int64)` | opcional | — | — | `0` |
| `rebateValue` | `integer (int64)` | opcional | — | — | `0` |
| `fee` | `integer (int64)` | opcional | — | — | `0` |
| `trafficTicket` | `integer (int64)` | opcional | — | — | `0` |
| `maximumValue` | `integer (int64)` | opcional | — | — | `0` |
| `minimumValue` | `integer (int64)` | opcional | — | — | `0` |
| `totalValue` | `integer (int64)` | opcional | — | — | `0` |
| `nominalValue` | `integer (int64)` | opcional | — | — | `0` |
| `partialPaymentIndicator` | `string` | opcional | — | — | `"texto"` |
| `value` | `integer (int64)` | opcional | — | — | `0` |
| `dueDate` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `paymentDeadline` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `dateTimeBillingConsult` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `statusBilling` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `"PaidBilling"` |
| `beneficiary` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `payer` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `guarantor` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `issuingBank` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `notifications` | `array de objeto` | opcional | — | objeto — ver detalhe abaixo | `[ … ]` |

Detalhe de `beneficiary`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `name` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `document` | `string` | opcional | — | — | `"12345678909"` |

Detalhe de `payer`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `name` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `document` | `string` | opcional | — | — | `"12345678909"` |

Detalhe de `guarantor`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `name` | `string` | opcional | — | — | `"Fulano de Tal"` |
| `document` | `string` | opcional | — | — | `"12345678909"` |

Detalhe de `issuingBank`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `code` | `string` | opcional | — | — | `"texto"` |
| `name` | `string` | opcional | — | — | `"Fulano de Tal"` |

Detalhe de `notifications`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `property` | `string` | opcional | — | — | `"texto"` |
| `message` | `string` | opcional | — | — | `"texto"` |

Exemplo:

```json
{
  "barCode": "texto",
  "digitableLine": "texto",
  "situationCode": 0,
  "reason": "texto",
  "authorizationTypeReceiptDivergentValue": "QualquerValor",
  "discount": 0,
  "discountValue": 0,
  "rebateValue": 0,
  "fee": 0,
  "trafficTicket": 0,
  "maximumValue": 0,
  "minimumValue": 0,
  "totalValue": 0,
  "nominalValue": 0,
  "partialPaymentIndicator": "texto",
  "value": 0,
  "dueDate": "2025-08-11T13:45:00Z",
  "paymentDeadline": "2025-08-11T13:45:00Z",
  "dateTimeBillingConsult": "2025-08-11T13:45:00Z",
  "statusBilling": "PaidBilling",
  "beneficiary": {
    "name": "Fulano de Tal",
    "document": "12345678909"
  },
  "payer": {
    "name": "Fulano de Tal",
    "document": "12345678909"
  },
  "guarantor": {
    "name": "Fulano de Tal",
    "document": "12345678909"
  },
  "issuingBank": {
    "code": "texto",
    "name": "Fulano de Tal"
  },
  "notifications": [
    {
      "property": "texto",
      "message": "texto"
    }
  ]
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X GET "{{baseUrl}}/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/Pay/BankslipFGTS" \
  -H "Authorization: Bearer {{token}}"
```

---

### GET /v1/BankAccount/{id}/Pay/BankslipDARF

**Obter os dados de um boleto DARF informando código de barras, ou linha digitável** — Lista e filtra registros de Bank Account.

Obter os dados de um boleto DARF informando código de barras, ou linha digitável.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string` | obrigatório | Id da conta | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |
| `BarCode` | query | `string` | opcional | — | `valor` |
| `DigitableLine` | query | `string` | opcional | — | `valor` |
| `RegistrationNumber` | query | `string` | opcional | — | `valor` |
| `DueDate` | query | `string (date-time)` | opcional | — | `valor` |

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `principalValue` | `integer (int64)` | opcional | — | — | `0` |
| `dueDate` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `convenioIntegracao` | `string` | opcional | — | — | `"texto"` |
| `notifications` | `array de objeto` | opcional | — | objeto — ver detalhe abaixo | `[ … ]` |

Detalhe de `notifications`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `property` | `string` | opcional | — | — | `"texto"` |
| `message` | `string` | opcional | — | — | `"texto"` |

Exemplo:

```json
{
  "principalValue": 0,
  "dueDate": "2025-08-11T13:45:00Z",
  "convenioIntegracao": "texto",
  "notifications": [
    {
      "property": "texto",
      "message": "texto"
    }
  ]
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X GET "{{baseUrl}}/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/Pay/BankslipDARF" \
  -H "Authorization: Bearer {{token}}"
```

---

### POST /v1/BankAccount/{id}/Pay/ConsumptionBill

**Solicitar o pagamento de um boleto de Conta de Consumo através do código de barras…** — Cria um novo registro de Bank Account.

Solicitar o pagamento de um boleto de Conta de Consumo através do código de barras e linha digitável

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Corpo da requisição** (`application/json`)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `barCodeOrDigitableLine` | `string` | obrigatório | — | — | `"texto"` |
| `identificationOperationStatement` | `string` | opcional | — | — | `"texto"` |
| `paymentValue` | `integer (int64)` | obrigatório | — | — | `0` |
| `paymentDate` | `string (date-time)` | obrigatório | — | — | `"2025-08-11T13:45:00Z"` |
| `sessionId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `code` | `string` | opcional | — | — | `"texto"` |

Exemplo:

```json
{
  "barCodeOrDigitableLine": "texto",
  "identificationOperationStatement": "texto",
  "paymentValue": 0,
  "paymentDate": "2025-08-11T13:45:00Z",
  "sessionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "code": "texto"
}
```

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `id` | `string` | opcional | — | — | `"texto"` |
| `createdAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `createdBy` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `tenant` | `string` | opcional | — | — | `"texto"` |
| `tenantDisplay` | `string` | opcional | — | — | `"texto"` |
| `updatedAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `updatedBy` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `ownerUser` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `ownerGroup` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `bankAccountId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `barCode` | `string` | opcional | — | — | `"texto"` |
| `nsu` | `string` | opcional | — | — | `"texto"` |
| `amount` | `integer (int64)` | opcional | — | — | `0` |
| `date` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `paymentPurpose` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `"PagamentoDeImpostosTributosETaxas"` |
| `paymentPurposeDisplay` | `string` | opcional | — | — | `"texto"` |
| `status` | `string` | opcional | — | `Approved`, `Pending`, `Rejected`, `Timeout`, `Canceled`, `Error`, `Processing`, `Finished`, `Scheduled`, `Reversed`, `ComplianceApproval`, `CancellationRequested` | `"Approved"` |
| `statusDisplay` | `string` | opcional | — | — | `"texto"` |
| `errorMessage` | `string` | opcional | — | — | `"texto"` |
| `authorizedAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `requester` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `approvals` | `array de objeto` | opcional | — | objeto — ver detalhe abaixo | `[ … ]` |

Detalhe de `requester`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `userId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `registrationNumber` | `string` | opcional | — | — | `"12345678909"` |
| `userIdDisplay` | `string` | opcional | — | — | `"texto"` |
| `tenantDisplay` | `string` | opcional | — | — | `"texto"` |
| `tenantName` | `string` | opcional | — | — | `"Fulano de Tal"` |

Detalhe de `approvals`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `level` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `"Viewer"` |
| `action` | `string` | opcional | — | `Approve`, `Reject`, `Cancel` | `"Approve"` |
| `actionDisplay` | `string` | opcional | — | — | `"texto"` |
| `user` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |

Exemplo:

```json
{
  "id": "texto",
  "createdAt": "2025-08-11T13:45:00Z",
  "createdBy": {
    "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "registrationNumber": "12345678909",
    "userIdDisplay": "texto",
    "tenantDisplay": "texto",
    "tenantName": "Fulano de Tal"
  },
  "tenant": "texto",
  "tenantDisplay": "texto",
  "updatedAt": "2025-08-11T13:45:00Z",
  "updatedBy": {
    "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "registrationNumber": "12345678909",
    "userIdDisplay": "texto",
    "tenantDisplay": "texto",
    "tenantName": "Fulano de Tal"
  },
  "ownerUser": {
    "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "registrationNumber": "12345678909",
    "userIdDisplay": "texto",
    "tenantDisplay": "texto",
    "tenantName": "Fulano de Tal"
  },
  "ownerGroup": {
    "groupDisplay": "texto",
    "tenantDisplay": "texto"
  },
  "bankAccountId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "barCode": "texto",
  "nsu": "texto",
  "amount": 0,
  "date": "2025-08-11T13:45:00Z",
  "paymentPurpose": "PagamentoDeImpostosTributosETaxas",
  "paymentPurposeDisplay": "texto",
  "status": "Approved",
  "statusDisplay": "texto",
  "errorMessage": "texto",
  "authorizedAt": "2025-08-11T13:45:00Z",
  "requester": {
    "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "registrationNumber": "12345678909",
    "userIdDisplay": "texto",
    "tenantDisplay": "texto",
    "tenantName": "Fulano de Tal"
  },
  "approvals": [
    {
      "level": "Viewer",
      "action": "Approve",
      "actionDisplay": "texto",
      "user": {
        "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "registrationNumber": "12345678909",
        "userIdDisplay": "texto",
        "tenantDisplay": "texto",
        "tenantName": "Fulano de Tal"
      }
    }
  ]
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X POST "{{baseUrl}}/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/Pay/ConsumptionBill" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '{
  "barCodeOrDigitableLine": "texto",
  "identificationOperationStatement": "texto",
  "paymentValue": 0,
  "paymentDate": "2025-08-11T13:45:00Z",
  "sessionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "code": "texto"
}'
```

---

### POST /v1/BankAccount/{id}/Pay/TaxWithBarCode

**Solicitar o pagamento de um boleto de tributo através do código de barras e linha…** — Cria um novo registro de Bank Account.

Solicitar o pagamento de um boleto de tributo através do código de barras e linha digitável

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Corpo da requisição** (`application/json`)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `barCodeOrDigitableLine` | `string` | obrigatório | — | — | `"texto"` |
| `identificationOperationStatement` | `string` | opcional | — | — | `"texto"` |
| `paymentValue` | `integer (int64)` | obrigatório | — | — | `0` |
| `paymentDate` | `string (date-time)` | obrigatório | — | — | `"2025-08-11T13:45:00Z"` |
| `principalValue` | `integer (int64)` | obrigatório | — | — | `0` |
| `sessionId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `code` | `string` | opcional | — | — | `"texto"` |

Exemplo:

```json
{
  "barCodeOrDigitableLine": "texto",
  "identificationOperationStatement": "texto",
  "paymentValue": 0,
  "paymentDate": "2025-08-11T13:45:00Z",
  "principalValue": 0,
  "sessionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "code": "texto"
}
```

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `id` | `string` | opcional | — | — | `"texto"` |
| `createdAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `createdBy` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `tenant` | `string` | opcional | — | — | `"texto"` |
| `tenantDisplay` | `string` | opcional | — | — | `"texto"` |
| `updatedAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `updatedBy` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `ownerUser` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `ownerGroup` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `bankAccountId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `barCode` | `string` | opcional | — | — | `"texto"` |
| `nsu` | `string` | opcional | — | — | `"texto"` |
| `amount` | `integer (int64)` | opcional | — | — | `0` |
| `date` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `paymentPurpose` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `"PagamentoDeImpostosTributosETaxas"` |
| `paymentPurposeDisplay` | `string` | opcional | — | — | `"texto"` |
| `status` | `string` | opcional | — | `Approved`, `Pending`, `Rejected`, `Timeout`, `Canceled`, `Error`, `Processing`, `Finished`, `Scheduled`, `Reversed`, `ComplianceApproval`, `CancellationRequested` | `"Approved"` |
| `statusDisplay` | `string` | opcional | — | — | `"texto"` |
| `errorMessage` | `string` | opcional | — | — | `"texto"` |
| `authorizedAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `requester` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `approvals` | `array de objeto` | opcional | — | objeto — ver detalhe abaixo | `[ … ]` |

Detalhe de `requester`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `userId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `registrationNumber` | `string` | opcional | — | — | `"12345678909"` |
| `userIdDisplay` | `string` | opcional | — | — | `"texto"` |
| `tenantDisplay` | `string` | opcional | — | — | `"texto"` |
| `tenantName` | `string` | opcional | — | — | `"Fulano de Tal"` |

Detalhe de `approvals`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `level` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `"Viewer"` |
| `action` | `string` | opcional | — | `Approve`, `Reject`, `Cancel` | `"Approve"` |
| `actionDisplay` | `string` | opcional | — | — | `"texto"` |
| `user` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |

Exemplo:

```json
{
  "id": "texto",
  "createdAt": "2025-08-11T13:45:00Z",
  "createdBy": {
    "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "registrationNumber": "12345678909",
    "userIdDisplay": "texto",
    "tenantDisplay": "texto",
    "tenantName": "Fulano de Tal"
  },
  "tenant": "texto",
  "tenantDisplay": "texto",
  "updatedAt": "2025-08-11T13:45:00Z",
  "updatedBy": {
    "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "registrationNumber": "12345678909",
    "userIdDisplay": "texto",
    "tenantDisplay": "texto",
    "tenantName": "Fulano de Tal"
  },
  "ownerUser": {
    "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "registrationNumber": "12345678909",
    "userIdDisplay": "texto",
    "tenantDisplay": "texto",
    "tenantName": "Fulano de Tal"
  },
  "ownerGroup": {
    "groupDisplay": "texto",
    "tenantDisplay": "texto"
  },
  "bankAccountId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "barCode": "texto",
  "nsu": "texto",
  "amount": 0,
  "date": "2025-08-11T13:45:00Z",
  "paymentPurpose": "PagamentoDeImpostosTributosETaxas",
  "paymentPurposeDisplay": "texto",
  "status": "Approved",
  "statusDisplay": "texto",
  "errorMessage": "texto",
  "authorizedAt": "2025-08-11T13:45:00Z",
  "requester": {
    "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "registrationNumber": "12345678909",
    "userIdDisplay": "texto",
    "tenantDisplay": "texto",
    "tenantName": "Fulano de Tal"
  },
  "approvals": [
    {
      "level": "Viewer",
      "action": "Approve",
      "actionDisplay": "texto",
      "user": {
        "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "registrationNumber": "12345678909",
        "userIdDisplay": "texto",
        "tenantDisplay": "texto",
        "tenantName": "Fulano de Tal"
      }
    }
  ]
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X POST "{{baseUrl}}/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/Pay/TaxWithBarCode" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '{
  "barCodeOrDigitableLine": "texto",
  "identificationOperationStatement": "texto",
  "paymentValue": 0,
  "paymentDate": "2025-08-11T13:45:00Z",
  "principalValue": 0,
  "sessionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "code": "texto"
}'
```

---

### POST /v1/BankAccount/{id}/Pay/FGTSWithBarCode

**Solicitar o pagamento de um boleto de tributo FGTS através do código de barras e…** — Cria um novo registro de Bank Account.

Solicitar o pagamento de um boleto de tributo FGTS através do código de barras e linha digitável

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Corpo da requisição** (`application/json`)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `barCodeOrDigitableLine` | `string` | obrigatório | — | — | `"texto"` |
| `identificationOperationStatement` | `string` | opcional | — | — | `"texto"` |
| `paymentValue` | `integer (int64)` | obrigatório | — | — | `0` |
| `paymentDate` | `string (date-time)` | obrigatório | — | — | `"2025-08-11T13:45:00Z"` |
| `taxPayerIdentificationType` | `integer` | opcional | — | — | `1` |
| `registrationNumber` | `string` | opcional | — | — | `"12345678909"` |
| `identification` | `string` | opcional | — | — | `"texto"` |
| `seal` | `string` | opcional | — | — | `"texto"` |
| `digitSeal` | `string` | opcional | — | — | `"texto"` |
| `sessionId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `code` | `string` | opcional | — | — | `"texto"` |

Exemplo:

```json
{
  "barCodeOrDigitableLine": "texto",
  "identificationOperationStatement": "texto",
  "paymentValue": 0,
  "paymentDate": "2025-08-11T13:45:00Z",
  "taxPayerIdentificationType": 1,
  "registrationNumber": "12345678909",
  "identification": "texto",
  "seal": "texto",
  "digitSeal": "texto",
  "sessionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "code": "texto"
}
```

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `id` | `string` | opcional | — | — | `"texto"` |
| `createdAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `createdBy` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `tenant` | `string` | opcional | — | — | `"texto"` |
| `tenantDisplay` | `string` | opcional | — | — | `"texto"` |
| `updatedAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `updatedBy` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `ownerUser` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `ownerGroup` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `bankAccountId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `barCode` | `string` | opcional | — | — | `"texto"` |
| `nsu` | `string` | opcional | — | — | `"texto"` |
| `amount` | `integer (int64)` | opcional | — | — | `0` |
| `date` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `paymentPurpose` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `"PagamentoDeImpostosTributosETaxas"` |
| `paymentPurposeDisplay` | `string` | opcional | — | — | `"texto"` |
| `status` | `string` | opcional | — | `Approved`, `Pending`, `Rejected`, `Timeout`, `Canceled`, `Error`, `Processing`, `Finished`, `Scheduled`, `Reversed`, `ComplianceApproval`, `CancellationRequested` | `"Approved"` |
| `statusDisplay` | `string` | opcional | — | — | `"texto"` |
| `errorMessage` | `string` | opcional | — | — | `"texto"` |
| `authorizedAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `requester` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `approvals` | `array de objeto` | opcional | — | objeto — ver detalhe abaixo | `[ … ]` |

Detalhe de `requester`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `userId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `registrationNumber` | `string` | opcional | — | — | `"12345678909"` |
| `userIdDisplay` | `string` | opcional | — | — | `"texto"` |
| `tenantDisplay` | `string` | opcional | — | — | `"texto"` |
| `tenantName` | `string` | opcional | — | — | `"Fulano de Tal"` |

Detalhe de `approvals`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `level` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `"Viewer"` |
| `action` | `string` | opcional | — | `Approve`, `Reject`, `Cancel` | `"Approve"` |
| `actionDisplay` | `string` | opcional | — | — | `"texto"` |
| `user` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |

Exemplo:

```json
{
  "id": "texto",
  "createdAt": "2025-08-11T13:45:00Z",
  "createdBy": {
    "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "registrationNumber": "12345678909",
    "userIdDisplay": "texto",
    "tenantDisplay": "texto",
    "tenantName": "Fulano de Tal"
  },
  "tenant": "texto",
  "tenantDisplay": "texto",
  "updatedAt": "2025-08-11T13:45:00Z",
  "updatedBy": {
    "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "registrationNumber": "12345678909",
    "userIdDisplay": "texto",
    "tenantDisplay": "texto",
    "tenantName": "Fulano de Tal"
  },
  "ownerUser": {
    "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "registrationNumber": "12345678909",
    "userIdDisplay": "texto",
    "tenantDisplay": "texto",
    "tenantName": "Fulano de Tal"
  },
  "ownerGroup": {
    "groupDisplay": "texto",
    "tenantDisplay": "texto"
  },
  "bankAccountId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "barCode": "texto",
  "nsu": "texto",
  "amount": 0,
  "date": "2025-08-11T13:45:00Z",
  "paymentPurpose": "PagamentoDeImpostosTributosETaxas",
  "paymentPurposeDisplay": "texto",
  "status": "Approved",
  "statusDisplay": "texto",
  "errorMessage": "texto",
  "authorizedAt": "2025-08-11T13:45:00Z",
  "requester": {
    "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "registrationNumber": "12345678909",
    "userIdDisplay": "texto",
    "tenantDisplay": "texto",
    "tenantName": "Fulano de Tal"
  },
  "approvals": [
    {
      "level": "Viewer",
      "action": "Approve",
      "actionDisplay": "texto",
      "user": {
        "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "registrationNumber": "12345678909",
        "userIdDisplay": "texto",
        "tenantDisplay": "texto",
        "tenantName": "Fulano de Tal"
      }
    }
  ]
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X POST "{{baseUrl}}/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/Pay/FGTSWithBarCode" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '{
  "barCodeOrDigitableLine": "texto",
  "identificationOperationStatement": "texto",
  "paymentValue": 0,
  "paymentDate": "2025-08-11T13:45:00Z",
  "taxPayerIdentificationType": 1,
  "registrationNumber": "12345678909",
  "identification": "texto",
  "seal": "texto",
  "digitSeal": "texto",
  "sessionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "code": "texto"
}'
```

---

### POST /v1/BankAccount/{id}/Pay/DARFWithBarCode

**Solicitar o pagamento de um boleto de tributo DARF através do código de barras e…** — Cria um novo registro de Bank Account.

Solicitar o pagamento de um boleto de tributo DARF através do código de barras e linha digitável

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Corpo da requisição** (`application/json`)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `barCodeOrDigitableLine` | `string` | obrigatório | — | — | `"texto"` |
| `identificationOperationStatement` | `string` | opcional | — | — | `"texto"` |
| `paymentValue` | `integer (int64)` | obrigatório | — | — | `0` |
| `paymentDate` | `string (date-time)` | obrigatório | — | — | `"2025-08-11T13:45:00Z"` |
| `name` | `string` | obrigatório | — | — | `"Fulano de Tal"` |
| `calculationPeriod` | `string (date-time)` | obrigatório | — | — | `"2025-08-11T13:45:00Z"` |
| `registrationNumber` | `string` | obrigatório | — | — | `"12345678909"` |
| `receitaFederalCodeId` | `string` | obrigatório | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `referenceNumber` | `string` | opcional | — | — | `"texto"` |
| `dueDate` | `string (date-time)` | obrigatório | — | — | `"2025-08-11T13:45:00Z"` |
| `principalValue` | `integer (int64)` | obrigatório | — | — | `0` |
| `assessmentValue` | `integer (int64)` | obrigatório | — | — | `0` |
| `interestValue` | `integer (int64)` | obrigatório | — | — | `0` |
| `interestAndChargesValue` | `integer (int64)` | obrigatório | — | — | `0` |
| `totalValue` | `integer (int64)` | obrigatório | — | — | `0` |
| `sessionId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `code` | `string` | opcional | — | — | `"texto"` |

Exemplo:

```json
{
  "barCodeOrDigitableLine": "texto",
  "identificationOperationStatement": "texto",
  "paymentValue": 0,
  "paymentDate": "2025-08-11T13:45:00Z",
  "name": "Fulano de Tal",
  "calculationPeriod": "2025-08-11T13:45:00Z",
  "registrationNumber": "12345678909",
  "receitaFederalCodeId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "referenceNumber": "texto",
  "dueDate": "2025-08-11T13:45:00Z",
  "principalValue": 0,
  "assessmentValue": 0,
  "interestValue": 0,
  "interestAndChargesValue": 0,
  "totalValue": 0,
  "sessionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "code": "texto"
}
```

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `id` | `string` | opcional | — | — | `"texto"` |
| `createdAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `createdBy` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `tenant` | `string` | opcional | — | — | `"texto"` |
| `tenantDisplay` | `string` | opcional | — | — | `"texto"` |
| `updatedAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `updatedBy` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `ownerUser` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `ownerGroup` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `bankAccountId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `barCode` | `string` | opcional | — | — | `"texto"` |
| `nsu` | `string` | opcional | — | — | `"texto"` |
| `amount` | `integer (int64)` | opcional | — | — | `0` |
| `date` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `paymentPurpose` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `"PagamentoDeImpostosTributosETaxas"` |
| `paymentPurposeDisplay` | `string` | opcional | — | — | `"texto"` |
| `status` | `string` | opcional | — | `Approved`, `Pending`, `Rejected`, `Timeout`, `Canceled`, `Error`, `Processing`, `Finished`, `Scheduled`, `Reversed`, `ComplianceApproval`, `CancellationRequested` | `"Approved"` |
| `statusDisplay` | `string` | opcional | — | — | `"texto"` |
| `errorMessage` | `string` | opcional | — | — | `"texto"` |
| `authorizedAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `requester` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `approvals` | `array de objeto` | opcional | — | objeto — ver detalhe abaixo | `[ … ]` |

Detalhe de `requester`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `userId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `registrationNumber` | `string` | opcional | — | — | `"12345678909"` |
| `userIdDisplay` | `string` | opcional | — | — | `"texto"` |
| `tenantDisplay` | `string` | opcional | — | — | `"texto"` |
| `tenantName` | `string` | opcional | — | — | `"Fulano de Tal"` |

Detalhe de `approvals`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `level` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `"Viewer"` |
| `action` | `string` | opcional | — | `Approve`, `Reject`, `Cancel` | `"Approve"` |
| `actionDisplay` | `string` | opcional | — | — | `"texto"` |
| `user` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |

Exemplo:

```json
{
  "id": "texto",
  "createdAt": "2025-08-11T13:45:00Z",
  "createdBy": {
    "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "registrationNumber": "12345678909",
    "userIdDisplay": "texto",
    "tenantDisplay": "texto",
    "tenantName": "Fulano de Tal"
  },
  "tenant": "texto",
  "tenantDisplay": "texto",
  "updatedAt": "2025-08-11T13:45:00Z",
  "updatedBy": {
    "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "registrationNumber": "12345678909",
    "userIdDisplay": "texto",
    "tenantDisplay": "texto",
    "tenantName": "Fulano de Tal"
  },
  "ownerUser": {
    "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "registrationNumber": "12345678909",
    "userIdDisplay": "texto",
    "tenantDisplay": "texto",
    "tenantName": "Fulano de Tal"
  },
  "ownerGroup": {
    "groupDisplay": "texto",
    "tenantDisplay": "texto"
  },
  "bankAccountId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "barCode": "texto",
  "nsu": "texto",
  "amount": 0,
  "date": "2025-08-11T13:45:00Z",
  "paymentPurpose": "PagamentoDeImpostosTributosETaxas",
  "paymentPurposeDisplay": "texto",
  "status": "Approved",
  "statusDisplay": "texto",
  "errorMessage": "texto",
  "authorizedAt": "2025-08-11T13:45:00Z",
  "requester": {
    "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "registrationNumber": "12345678909",
    "userIdDisplay": "texto",
    "tenantDisplay": "texto",
    "tenantName": "Fulano de Tal"
  },
  "approvals": [
    {
      "level": "Viewer",
      "action": "Approve",
      "actionDisplay": "texto",
      "user": {
        "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "registrationNumber": "12345678909",
        "userIdDisplay": "texto",
        "tenantDisplay": "texto",
        "tenantName": "Fulano de Tal"
      }
    }
  ]
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X POST "{{baseUrl}}/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/Pay/DARFWithBarCode" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '{
  "barCodeOrDigitableLine": "texto",
  "identificationOperationStatement": "texto",
  "paymentValue": 0,
  "paymentDate": "2025-08-11T13:45:00Z",
  "name": "Fulano de Tal",
  "calculationPeriod": "2025-08-11T13:45:00Z",
  "registrationNumber": "12345678909",
  "receitaFederalCodeId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "referenceNumber": "texto",
  "dueDate": "2025-08-11T13:45:00Z",
  "principalValue": 0,
  "assessmentValue": 0,
  "interestValue": 0,
  "interestAndChargesValue": 0,
  "totalValue": 0,
  "sessionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "code": "texto"
}'
```

---

### POST /v1/BankAccount/{id}/Pay/DARF

**Solicitar o pagamento de um boleto de tributo DARF sem código de barras** — Cria um novo registro de Bank Account.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Corpo da requisição** (`application/json`)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `identificationOperationStatement` | `string` | opcional | — | — | `"texto"` |
| `paymentValue` | `integer (int64)` | obrigatório | — | — | `0` |
| `paymentDate` | `string (date-time)` | obrigatório | — | — | `"2025-08-11T13:45:00Z"` |
| `name` | `string` | obrigatório | — | — | `"Fulano de Tal"` |
| `calculationPeriod` | `string (date-time)` | obrigatório | — | — | `"2025-08-11T13:45:00Z"` |
| `registrationNumber` | `string` | obrigatório | — | — | `"12345678909"` |
| `receitaFederalCodeId` | `string` | obrigatório | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `referenceNumber` | `string` | opcional | — | — | `"texto"` |
| `dueDate` | `string (date-time)` | obrigatório | — | — | `"2025-08-11T13:45:00Z"` |
| `principalValue` | `integer (int64)` | obrigatório | — | — | `0` |
| `assessmentValue` | `integer (int64)` | obrigatório | — | — | `0` |
| `interestValue` | `integer (int64)` | obrigatório | — | — | `0` |
| `interestAndChargesValue` | `integer (int64)` | obrigatório | — | — | `0` |
| `totalValue` | `integer (int64)` | obrigatório | — | — | `0` |
| `sessionId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `code` | `string` | opcional | — | — | `"texto"` |

Exemplo:

```json
{
  "identificationOperationStatement": "texto",
  "paymentValue": 0,
  "paymentDate": "2025-08-11T13:45:00Z",
  "name": "Fulano de Tal",
  "calculationPeriod": "2025-08-11T13:45:00Z",
  "registrationNumber": "12345678909",
  "receitaFederalCodeId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "referenceNumber": "texto",
  "dueDate": "2025-08-11T13:45:00Z",
  "principalValue": 0,
  "assessmentValue": 0,
  "interestValue": 0,
  "interestAndChargesValue": 0,
  "totalValue": 0,
  "sessionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "code": "texto"
}
```

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `id` | `string` | opcional | — | — | `"texto"` |
| `createdAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `createdBy` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `tenant` | `string` | opcional | — | — | `"texto"` |
| `tenantDisplay` | `string` | opcional | — | — | `"texto"` |
| `updatedAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `updatedBy` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `ownerUser` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `ownerGroup` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `bankAccountId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `barCode` | `string` | opcional | — | — | `"texto"` |
| `nsu` | `string` | opcional | — | — | `"texto"` |
| `amount` | `integer (int64)` | opcional | — | — | `0` |
| `date` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `paymentPurpose` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `"PagamentoDeImpostosTributosETaxas"` |
| `paymentPurposeDisplay` | `string` | opcional | — | — | `"texto"` |
| `status` | `string` | opcional | — | `Approved`, `Pending`, `Rejected`, `Timeout`, `Canceled`, `Error`, `Processing`, `Finished`, `Scheduled`, `Reversed`, `ComplianceApproval`, `CancellationRequested` | `"Approved"` |
| `statusDisplay` | `string` | opcional | — | — | `"texto"` |
| `errorMessage` | `string` | opcional | — | — | `"texto"` |
| `authorizedAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `requester` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `approvals` | `array de objeto` | opcional | — | objeto — ver detalhe abaixo | `[ … ]` |

Detalhe de `requester`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `userId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `registrationNumber` | `string` | opcional | — | — | `"12345678909"` |
| `userIdDisplay` | `string` | opcional | — | — | `"texto"` |
| `tenantDisplay` | `string` | opcional | — | — | `"texto"` |
| `tenantName` | `string` | opcional | — | — | `"Fulano de Tal"` |

Detalhe de `approvals`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `level` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `"Viewer"` |
| `action` | `string` | opcional | — | `Approve`, `Reject`, `Cancel` | `"Approve"` |
| `actionDisplay` | `string` | opcional | — | — | `"texto"` |
| `user` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |

Exemplo:

```json
{
  "id": "texto",
  "createdAt": "2025-08-11T13:45:00Z",
  "createdBy": {
    "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "registrationNumber": "12345678909",
    "userIdDisplay": "texto",
    "tenantDisplay": "texto",
    "tenantName": "Fulano de Tal"
  },
  "tenant": "texto",
  "tenantDisplay": "texto",
  "updatedAt": "2025-08-11T13:45:00Z",
  "updatedBy": {
    "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "registrationNumber": "12345678909",
    "userIdDisplay": "texto",
    "tenantDisplay": "texto",
    "tenantName": "Fulano de Tal"
  },
  "ownerUser": {
    "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "registrationNumber": "12345678909",
    "userIdDisplay": "texto",
    "tenantDisplay": "texto",
    "tenantName": "Fulano de Tal"
  },
  "ownerGroup": {
    "groupDisplay": "texto",
    "tenantDisplay": "texto"
  },
  "bankAccountId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "barCode": "texto",
  "nsu": "texto",
  "amount": 0,
  "date": "2025-08-11T13:45:00Z",
  "paymentPurpose": "PagamentoDeImpostosTributosETaxas",
  "paymentPurposeDisplay": "texto",
  "status": "Approved",
  "statusDisplay": "texto",
  "errorMessage": "texto",
  "authorizedAt": "2025-08-11T13:45:00Z",
  "requester": {
    "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "registrationNumber": "12345678909",
    "userIdDisplay": "texto",
    "tenantDisplay": "texto",
    "tenantName": "Fulano de Tal"
  },
  "approvals": [
    {
      "level": "Viewer",
      "action": "Approve",
      "actionDisplay": "texto",
      "user": {
        "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "registrationNumber": "12345678909",
        "userIdDisplay": "texto",
        "tenantDisplay": "texto",
        "tenantName": "Fulano de Tal"
      }
    }
  ]
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X POST "{{baseUrl}}/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/Pay/DARF" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '{
  "identificationOperationStatement": "texto",
  "paymentValue": 0,
  "paymentDate": "2025-08-11T13:45:00Z",
  "name": "Fulano de Tal",
  "calculationPeriod": "2025-08-11T13:45:00Z",
  "registrationNumber": "12345678909",
  "receitaFederalCodeId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "referenceNumber": "texto",
  "dueDate": "2025-08-11T13:45:00Z",
  "principalValue": 0,
  "assessmentValue": 0,
  "interestValue": 0,
  "interestAndChargesValue": 0,
  "totalValue": 0,
  "sessionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "code": "texto"
}'
```

---

### POST /v1/BankAccount/{id}/Pay/GAREICMS

**Solicitar o pagamento de um boleto de tributo GARE - ICMS** — Cria um novo registro de Bank Account.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Corpo da requisição** (`application/json`)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `identificationOperationStatement` | `string` | opcional | — | — | `"texto"` |
| `paymentValue` | `integer (int64)` | obrigatório | — | — | `0` |
| `paymentDate` | `string (date-time)` | obrigatório | — | — | `"2025-08-11T13:45:00Z"` |
| `dueDate` | `string (date-time)` | obrigatório | — | — | `"2025-08-11T13:45:00Z"` |
| `receitaFederalCodeId` | `string` | obrigatório | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `stateRegistration` | `string` | obrigatório | — | — | `"texto"` |
| `registrationNumber` | `string` | obrigatório | — | — | `"12345678909"` |
| `activeDebitRegistration` | `string` | opcional | — | — | `"texto"` |
| `tagNumber` | `string` | opcional | — | — | `"texto"` |
| `referenceNumber` | `string (date-time)` | obrigatório | — | — | `"2025-08-11T13:45:00Z"` |
| `diNumber` | `string` | obrigatório | — | — | `"texto"` |
| `installmentNumber` | `string` | obrigatório | — | — | `"texto"` |
| `valueOfRevenue` | `integer (int64)` | obrigatório | — | — | `0` |
| `interestMoraValue` | `integer (int64)` | opcional | — | — | `0` |
| `assessmentMoraValue` | `integer (int64)` | opcional | — | — | `0` |
| `assessmentForInfractionValue` | `integer (int64)` | opcional | — | — | `0` |
| `financialAdditionValue` | `integer (int64)` | obrigatório | — | — | `0` |
| `advocativeHoursValue` | `integer (int64)` | opcional | — | — | `0` |
| `totalValue` | `integer (int64)` | obrigatório | — | — | `0` |
| `taxPayer` | `string` | obrigatório | — | — | `"texto"` |
| `address` | `string` | opcional | — | — | `"texto"` |
| `phone` | `string` | opcional | — | — | `"11987654321"` |
| `cnae` | `string` | opcional | — | — | `"texto"` |
| `observations` | `string` | opcional | — | — | `"texto"` |
| `sessionId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `code` | `string` | opcional | — | — | `"texto"` |

Exemplo:

```json
{
  "identificationOperationStatement": "texto",
  "paymentValue": 0,
  "paymentDate": "2025-08-11T13:45:00Z",
  "dueDate": "2025-08-11T13:45:00Z",
  "receitaFederalCodeId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "stateRegistration": "texto",
  "registrationNumber": "12345678909",
  "activeDebitRegistration": "texto",
  "tagNumber": "texto",
  "referenceNumber": "2025-08-11T13:45:00Z",
  "diNumber": "texto",
  "installmentNumber": "texto",
  "valueOfRevenue": 0,
  "interestMoraValue": 0,
  "assessmentMoraValue": 0,
  "assessmentForInfractionValue": 0,
  "financialAdditionValue": 0,
  "advocativeHoursValue": 0,
  "totalValue": 0,
  "taxPayer": "texto",
  "address": "texto",
  "phone": "11987654321",
  "cnae": "texto",
  "observations": "texto",
  "sessionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "code": "texto"
}
```

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `id` | `string` | opcional | — | — | `"texto"` |
| `createdAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `createdBy` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `tenant` | `string` | opcional | — | — | `"texto"` |
| `tenantDisplay` | `string` | opcional | — | — | `"texto"` |
| `updatedAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `updatedBy` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `ownerUser` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `ownerGroup` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `bankAccountId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `barCode` | `string` | opcional | — | — | `"texto"` |
| `nsu` | `string` | opcional | — | — | `"texto"` |
| `amount` | `integer (int64)` | opcional | — | — | `0` |
| `date` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `paymentPurpose` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `"PagamentoDeImpostosTributosETaxas"` |
| `paymentPurposeDisplay` | `string` | opcional | — | — | `"texto"` |
| `status` | `string` | opcional | — | `Approved`, `Pending`, `Rejected`, `Timeout`, `Canceled`, `Error`, `Processing`, `Finished`, `Scheduled`, `Reversed`, `ComplianceApproval`, `CancellationRequested` | `"Approved"` |
| `statusDisplay` | `string` | opcional | — | — | `"texto"` |
| `errorMessage` | `string` | opcional | — | — | `"texto"` |
| `authorizedAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `requester` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `approvals` | `array de objeto` | opcional | — | objeto — ver detalhe abaixo | `[ … ]` |

Detalhe de `requester`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `userId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `registrationNumber` | `string` | opcional | — | — | `"12345678909"` |
| `userIdDisplay` | `string` | opcional | — | — | `"texto"` |
| `tenantDisplay` | `string` | opcional | — | — | `"texto"` |
| `tenantName` | `string` | opcional | — | — | `"Fulano de Tal"` |

Detalhe de `approvals`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `level` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `"Viewer"` |
| `action` | `string` | opcional | — | `Approve`, `Reject`, `Cancel` | `"Approve"` |
| `actionDisplay` | `string` | opcional | — | — | `"texto"` |
| `user` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |

Exemplo:

```json
{
  "id": "texto",
  "createdAt": "2025-08-11T13:45:00Z",
  "createdBy": {
    "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "registrationNumber": "12345678909",
    "userIdDisplay": "texto",
    "tenantDisplay": "texto",
    "tenantName": "Fulano de Tal"
  },
  "tenant": "texto",
  "tenantDisplay": "texto",
  "updatedAt": "2025-08-11T13:45:00Z",
  "updatedBy": {
    "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "registrationNumber": "12345678909",
    "userIdDisplay": "texto",
    "tenantDisplay": "texto",
    "tenantName": "Fulano de Tal"
  },
  "ownerUser": {
    "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "registrationNumber": "12345678909",
    "userIdDisplay": "texto",
    "tenantDisplay": "texto",
    "tenantName": "Fulano de Tal"
  },
  "ownerGroup": {
    "groupDisplay": "texto",
    "tenantDisplay": "texto"
  },
  "bankAccountId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "barCode": "texto",
  "nsu": "texto",
  "amount": 0,
  "date": "2025-08-11T13:45:00Z",
  "paymentPurpose": "PagamentoDeImpostosTributosETaxas",
  "paymentPurposeDisplay": "texto",
  "status": "Approved",
  "statusDisplay": "texto",
  "errorMessage": "texto",
  "authorizedAt": "2025-08-11T13:45:00Z",
  "requester": {
    "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "registrationNumber": "12345678909",
    "userIdDisplay": "texto",
    "tenantDisplay": "texto",
    "tenantName": "Fulano de Tal"
  },
  "approvals": [
    {
      "level": "Viewer",
      "action": "Approve",
      "actionDisplay": "texto",
      "user": {
        "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "registrationNumber": "12345678909",
        "userIdDisplay": "texto",
        "tenantDisplay": "texto",
        "tenantName": "Fulano de Tal"
      }
    }
  ]
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X POST "{{baseUrl}}/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/Pay/GAREICMS" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '{
  "identificationOperationStatement": "texto",
  "paymentValue": 0,
  "paymentDate": "2025-08-11T13:45:00Z",
  "dueDate": "2025-08-11T13:45:00Z",
  "receitaFederalCodeId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "stateRegistration": "texto",
  "registrationNumber": "12345678909",
  "activeDebitRegistration": "texto",
  "tagNumber": "texto",
  "referenceNumber": "2025-08-11T13:45:00Z",
  "diNumber": "texto",
  "installmentNumber": "texto",
  "valueOfRevenue": 0,
  "interestMoraValue": 0,
  "assessmentMoraValue": 0,
  "assessmentForInfractionValue": 0,
  "financialAdditionValue": 0,
  "advocativeHoursValue": 0,
  "totalValue": 0,
  "taxPayer": "texto",
  "address": "texto",
  "phone": "11987654321",
  "cnae": "texto",
  "observations": "texto",
  "sessionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "code": "texto"
}'
```

---

### POST /v1/BankAccount/{id}/Pay/GAREIPVA

**Solicita o pagamento de um boleto de tributo GARE - IPVA** — Cria um novo registro de Bank Account.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |

**Corpo da requisição** (`application/json`)

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `identificationOperationStatement` | `string` | opcional | — | — | `"texto"` |
| `paymentValue` | `integer (int64)` | obrigatório | — | — | `0` |
| `paymentDate` | `string (date-time)` | obrigatório | — | — | `"2025-08-11T13:45:00Z"` |
| `receitaFederalCodeId` | `string` | obrigatório | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `taxPayer` | `string` | obrigatório | — | — | `"texto"` |
| `address` | `string` | opcional | — | — | `"texto"` |
| `zipCode` | `string` | opcional | — | — | `"01310930"` |
| `registrationNumber` | `string` | obrigatório | — | — | `"12345678909"` |
| `cityCode` | `string` | obrigatório | — | — | `"texto"` |
| `quote` | `string` | obrigatório | — | — | `"texto"` |
| `dueDate` | `string (date-time)` | obrigatório | — | — | `"2025-08-11T13:45:00Z"` |
| `exercise` | `string` | obrigatório | — | — | `"texto"` |
| `ipvaRange` | `string` | obrigatório | — | — | `"texto"` |
| `interestMoraValue` | `integer (int64)` | opcional | — | — | `0` |
| `assessmentForInfractionValue` | `integer (int64)` | opcional | — | — | `0` |
| `aiimNumber` | `string` | opcional | — | — | `"texto"` |
| `totalValue` | `integer (int64)` | obrigatório | — | — | `0` |
| `typeSpecie` | `string` | obrigatório | — | — | `"texto"` |
| `brandModel` | `string` | opcional | — | — | `"texto"` |
| `chassis` | `string` | opcional | — | — | `"texto"` |
| `renavam` | `string` | opcional | — | — | `"texto"` |
| `origin` | `string` | opcional | — | — | `"texto"` |
| `yearManufacture` | `string` | opcional | — | — | `"texto"` |
| `previousBoard` | `string` | opcional | — | — | `"texto"` |
| `currentBoard` | `string` | obrigatório | — | — | `"texto"` |
| `fuel` | `string` | opcional | — | — | `"texto"` |
| `power` | `string` | opcional | — | — | `"texto"` |
| `length` | `string` | opcional | — | — | `"texto"` |
| `propulsion` | `string` | opcional | — | — | `"texto"` |
| `maximumTakeoffWeight` | `string` | opcional | — | — | `"texto"` |
| `valueOfRevenue` | `integer (int64)` | obrigatório | — | — | `0` |
| `sessionId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `code` | `string` | opcional | — | — | `"texto"` |

Exemplo:

```json
{
  "identificationOperationStatement": "texto",
  "paymentValue": 0,
  "paymentDate": "2025-08-11T13:45:00Z",
  "receitaFederalCodeId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "taxPayer": "texto",
  "address": "texto",
  "zipCode": "01310930",
  "registrationNumber": "12345678909",
  "cityCode": "texto",
  "quote": "texto",
  "dueDate": "2025-08-11T13:45:00Z",
  "exercise": "texto",
  "ipvaRange": "texto",
  "interestMoraValue": 0,
  "assessmentForInfractionValue": 0,
  "aiimNumber": "texto",
  "totalValue": 0,
  "typeSpecie": "texto",
  "brandModel": "texto",
  "chassis": "texto",
  "renavam": "texto",
  "origin": "texto",
  "yearManufacture": "texto",
  "previousBoard": "texto",
  "currentBoard": "texto",
  "fuel": "texto",
  "power": "texto",
  "length": "texto",
  "propulsion": "texto",
  "maximumTakeoffWeight": "texto",
  "valueOfRevenue": 0,
  "sessionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "code": "texto"
}
```

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `id` | `string` | opcional | — | — | `"texto"` |
| `createdAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `createdBy` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `tenant` | `string` | opcional | — | — | `"texto"` |
| `tenantDisplay` | `string` | opcional | — | — | `"texto"` |
| `updatedAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `updatedBy` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `ownerUser` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `ownerGroup` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `bankAccountId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `barCode` | `string` | opcional | — | — | `"texto"` |
| `nsu` | `string` | opcional | — | — | `"texto"` |
| `amount` | `integer (int64)` | opcional | — | — | `0` |
| `date` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `paymentPurpose` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `"PagamentoDeImpostosTributosETaxas"` |
| `paymentPurposeDisplay` | `string` | opcional | — | — | `"texto"` |
| `status` | `string` | opcional | — | `Approved`, `Pending`, `Rejected`, `Timeout`, `Canceled`, `Error`, `Processing`, `Finished`, `Scheduled`, `Reversed`, `ComplianceApproval`, `CancellationRequested` | `"Approved"` |
| `statusDisplay` | `string` | opcional | — | — | `"texto"` |
| `errorMessage` | `string` | opcional | — | — | `"texto"` |
| `authorizedAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `requester` | `objeto` | opcional | — | objeto — ver detalhe abaixo | `{ … }` |
| `approvals` | `array de objeto` | opcional | — | objeto — ver detalhe abaixo | `[ … ]` |

Detalhe de `requester`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `userId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `registrationNumber` | `string` | opcional | — | — | `"12345678909"` |
| `userIdDisplay` | `string` | opcional | — | — | `"texto"` |
| `tenantDisplay` | `string` | opcional | — | — | `"texto"` |
| `tenantName` | `string` | opcional | — | — | `"Fulano de Tal"` |

Detalhe de `approvals`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `level` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `"Viewer"` |
| `action` | `string` | opcional | — | `Approve`, `Reject`, `Cancel` | `"Approve"` |
| `actionDisplay` | `string` | opcional | — | — | `"texto"` |
| `user` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |

Exemplo:

```json
{
  "id": "texto",
  "createdAt": "2025-08-11T13:45:00Z",
  "createdBy": {
    "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "registrationNumber": "12345678909",
    "userIdDisplay": "texto",
    "tenantDisplay": "texto",
    "tenantName": "Fulano de Tal"
  },
  "tenant": "texto",
  "tenantDisplay": "texto",
  "updatedAt": "2025-08-11T13:45:00Z",
  "updatedBy": {
    "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "registrationNumber": "12345678909",
    "userIdDisplay": "texto",
    "tenantDisplay": "texto",
    "tenantName": "Fulano de Tal"
  },
  "ownerUser": {
    "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "registrationNumber": "12345678909",
    "userIdDisplay": "texto",
    "tenantDisplay": "texto",
    "tenantName": "Fulano de Tal"
  },
  "ownerGroup": {
    "groupDisplay": "texto",
    "tenantDisplay": "texto"
  },
  "bankAccountId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "barCode": "texto",
  "nsu": "texto",
  "amount": 0,
  "date": "2025-08-11T13:45:00Z",
  "paymentPurpose": "PagamentoDeImpostosTributosETaxas",
  "paymentPurposeDisplay": "texto",
  "status": "Approved",
  "statusDisplay": "texto",
  "errorMessage": "texto",
  "authorizedAt": "2025-08-11T13:45:00Z",
  "requester": {
    "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "registrationNumber": "12345678909",
    "userIdDisplay": "texto",
    "tenantDisplay": "texto",
    "tenantName": "Fulano de Tal"
  },
  "approvals": [
    {
      "level": "Viewer",
      "action": "Approve",
      "actionDisplay": "texto",
      "user": {
        "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "registrationNumber": "12345678909",
        "userIdDisplay": "texto",
        "tenantDisplay": "texto",
        "tenantName": "Fulano de Tal"
      }
    }
  ]
}
```

**Códigos de retorno**

| Código | Significado |
|---|---|
| `200` | Requisição bem-sucedida. |

**cURL**

```bash
curl -X POST "{{baseUrl}}/v1/BankAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/Pay/GAREIPVA" \
  -H "Authorization: Bearer {{token}}" \
  -H "Content-Type: application/json" \
  -d '{
  "identificationOperationStatement": "texto",
  "paymentValue": 0,
  "paymentDate": "2025-08-11T13:45:00Z",
  "receitaFederalCodeId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "taxPayer": "texto",
  "address": "texto",
  "zipCode": "01310930",
  "registrationNumber": "12345678909",
  "cityCode": "texto",
  "quote": "texto",
  "dueDate": "2025-08-11T13:45:00Z",
  "exercise": "texto",
  "ipvaRange": "texto",
  "interestMoraValue": 0,
  "assessmentForInfractionValue": 0,
  "aiimNumber": "texto",
  "totalValue": 0,
  "typeSpecie": "texto",
  "brandModel": "texto",
  "chassis": "texto",
  "renavam": "texto",
  "origin": "texto",
  "yearManufacture": "texto",
  "previousBoard": "texto",
  "currentBoard": "texto",
  "fuel": "texto",
  "power": "texto",
  "length": "texto",
  "propulsion": "texto",
  "maximumTakeoffWeight": "texto",
  "valueOfRevenue": 0,
  "sessionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "code": "texto"
}'
```

---

### GET /v1/BankAccount/{id}/Transfer

**Obter uma lista de transferências por conta bancária** — Lista e filtra registros de Bank Account.

**Parâmetros**

| Nome | Em | Tipo | Obrigatório | Descrição | Exemplo |
|---|---|---|---|---|---|
| `id` | path | `string` | obrigatório | — | `3fa85f64-5717-4562-b3fc-2c963f66afa6` |
| `page` | query | `integer` | opcional | — | `10` |
| `size` | query | `integer` | opcional | — | `10` |
| `searchString` | query | `string` | opcional | — | `valor` |
| `f_nsu` | query | `string` | opcional | — | `valor` |
| `f_amount` | query | `integer (int64)` | opcional | — | `10` |
| `f_transferDate` | query | `string (date-time)` | opcional | — | `valor` |
| `f_operationType` | query | `objeto` | opcional | — | `valor` |
| `f_paymentPurpose` | query | `objeto` | opcional | — | `valor` |
| `f_beneficiaryName` | query | `string` | opcional | — | `valor` |
| `f_beneficiaryRegistrationNumber` | query | `string` | opcional | — | `valor` |
| `f_status` | query | `objeto` | opcional | — | `valor` |
| `isDeleted` | query | `boolean` | opcional | — | `true` |
| `orderBy` | query | `string` | opcional | — | `valor` |

**Resposta 200**

Campos:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `data` | `array de objeto` | opcional | — | objeto — ver detalhe abaixo | `[ … ]` |
| `page` | `integer` | opcional | — | — | `0` |
| `totalPages` | `integer` | opcional | — | — | `0` |
| `totalItems` | `integer` | opcional | — | — | `0` |

Detalhe de `data`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `id` | `string` | opcional | — | — | `"texto"` |
| `createdAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `createdBy` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `tenant` | `string` | opcional | — | — | `"texto"` |
| `tenantDisplay` | `string` | opcional | — | — | `"texto"` |
| `updatedAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `updatedBy` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `ownerUser` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `ownerGroup` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `nsu` | `string` | opcional | — | — | `"texto"` |
| `amount` | `integer (int64)` | opcional | — | — | `0` |
| `transferDate` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `paymentPurpose` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `"PagamentoDeImpostosTributosETaxas"` |
| `paymentPurposeDisplay` | `string` | opcional | — | — | `"texto"` |
| `status` | `string` | opcional | — | `Approved`, `Pending`, `Rejected`, `Timeout`, `Canceled`, `Error`, `Processing`, `Finished`, `Scheduled`, `Reversed`, `ComplianceApproval`, `CancellationRequested` | `"Approved"` |
| `statusDisplay` | `string` | opcional | — | — | `"texto"` |
| `accountingEntry` | `string` | opcional | — | — | `"texto"` |
| `errorMessage` | `string` | opcional | — | — | `"texto"` |
| `reversalCodeReason` | `string` | opcional | — | — | `"texto"` |
| `reversalDescriptionReason` | `string` | opcional | — | — | `"texto"` |
| `bankAccountBeneficiaryId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `bankAccountBeneficiary` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `authorizedAt` | `string (date-time)` | opcional | — | — | `"2025-08-11T13:45:00Z"` |
| `bankAccountId` | `string` | opcional | — | — | `"3fa85f64-5717-4562-b3fc-2c963f66afa6"` |
| `requester` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |
| `approvals` | `array de objeto` | opcional | — | objeto — ver detalhe abaixo | `[ … ]` |

Detalhe de `approvals`:

| Campo | Tipo | Obrigatório | Descrição | Valores | Exemplo |
|---|---|---|---|---|---|
| `level` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `"Viewer"` |
| `action` | `string` | opcional | — | `Approve`, `Reject`, `Cancel` | `"Approve"` |
| `actionDisplay` | `string` | opcional | — | — | `"texto"` |
| `user` | `objeto` | opcional | — | varia conforme o tipo — ver exemplo | `{ … }` |

Exemplo:

```json
{
  "data": [
    {
      "id": "texto",
      "createdAt": "2025-08-11T13:45:00Z",
      "createdBy": {
        "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "registrationNumber": "12345678909",
        "userIdDisplay": "texto",
        "tenantDisplay": "texto",
        "tenantName": "Fulano de Tal"
      },
      "tenant": "texto",
      "tenantDisplay": "texto",
      "updatedAt": "2025-08-11T13:45:00Z",
      "updatedBy": {
        "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "registrationNumber": "12345678909",
        "userIdDisplay": "texto",
        "tenantDisplay": "texto",
        "tenantName": "Fulano de Tal"
      },
      "ownerUser": {
        "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "registrationNumber": "12345678909",
        "userIdDisplay": "texto",
        "tenantDisplay": "texto",
        "tenantName": "Fulano de Tal"
      },
      "ownerGroup": {
        "groupDisplay": "texto",
        "tenantDisplay": "texto"
      },
      "nsu": "texto",
[...]
